Page MenuHomePhabricator

evas_render: Fix clip whole region of framespace
AbandonedPublic

Authored by jpeg on Sep 1 2016, 7:02 PM.

Details

Reviewers
jypark
raster
Summary
in wayland, clip the whole area of frame space once in render.
but this make problem performance issue to forbid partial update.
fix frame space clip occurs each object rendering.

Diff Detail

Repository
rEFL core/efl
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 2511
Build 2576: arc lint + arc unit
jypark updated this revision to Diff 9835.Sep 1 2016, 7:02 PM
jypark retitled this revision from to evas_render: Fix clip whole region of framespace.
jypark updated this object.
jypark edited the test plan for this revision. (Show Details)
jpeg requested changes to this revision.Sep 1 2016, 9:31 PM
jpeg edited edge metadata.

maybe the framespace.clip object should also be removed altogether

src/lib/evas/canvas/evas_render.c
1210

static inline void

1241

in case of src_clip the clip needs to be applied

1568

no clip inside map surface

1745

not here - we're inside a map (of a parent object)

1825

note: this if () is always true

1833

else? (if no clipper)
probably ok since the clip is set before calling evas_render_mapped

2493

remove this

This revision now requires changes to proceed.Sep 1 2016, 9:31 PM
jpeg added a comment.Sep 5 2016, 7:15 PM

Ping? See also D4275 and D4274.

jpeg added a comment.Sep 21 2016, 1:28 AM

Please abandon this if it was fixed.

jpeg commandeered this revision.Jan 3 2017, 6:39 PM
jpeg abandoned this revision.
jpeg edited reviewers, added: jypark; removed: jpeg.
jpeg marked 3 inline comments as done.